%define name nautilus-actions
%define version 1.12.2
%define release %mkrel 1

Summary: Configurable context menu for Nautilus
Name: %{name}
Version: %{version}
Release: %{release}
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
License: GPLv2+
Group: Graphical desktop/GNOME
Url: http://www.nautilus-actions.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: nautilus-devel >= 2.8.0
BuildRequires: unique-devel
BuildRequires: libgnomeui2-devel
BuildRequires: libglade2.0-devel
%if %mdvver >= 201000
BuildRequires: libuuid-devel
%else
BuildRequires: e2fsprogs-devel
%endif
BuildRequires: intltool
BuildRequires: gnome-common
Requires: nautilus

%description
Nautilus actions is an extension for Nautilus, the gnome file
manager. It allow to configure program to be launch on files selected
into Nautilus interface.

%prep
%setup -q

%build
%configure2_5x --disable-schemas-install
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%_libdir/nautilus/extensions-2.0/libnautilus-actions.la
rm -rf %buildroot%_datadir/doc/%{name}*
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%update_icon_cache hicolor
%postun
%clean_icon_cache hicolor
%endif

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS README TODO NEWS MAINTAINERS
%doc doc/objects-hierarchy.odg
%_bindir/*
%_datadir/applications/*.desktop
%_libdir/nautilus/extensions-2.0/libnautilus-actions.so
%_datadir/%name
%_datadir/icons/hicolor/*/apps/%name.*


%changelog
* Thu Oct 22 2009 Frederic Crozat <fcrozat@mandriva.com> 1.12.2-1mdv2010.0
+ Revision: 458737
- Release 1.12.2
- Remove patch0, merged upstream

* Wed Aug 12 2009 Götz Waschk <waschk@mandriva.org> 1.12.0-1mdv2010.0
+ Revision: 415272
- fix uuid build dep
- new version
- new source URL
- update docs
- fix installation

* Sat Aug 01 2009 Funda Wang <fundawang@mandriva.org> 1.11.2-1mdv2010.0
+ Revision: 406390
- BR unique
- new version 1.11.2

* Fri May 29 2009 Götz Waschk <waschk@mandriva.org> 1.10.1-1mdv2010.0
+ Revision: 380869
- update file list
- new version
- update URLs
- drop patches 0,1

* Mon Nov 03 2008 Götz Waschk <waschk@mandriva.org> 1.9-0.r510.1mdv2009.1
+ Revision: 299390
- new snapshot
- update license
- fix build
- fix desktop entry
- fix file list

* Tue Jul 29 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.4.1-4mdv2009.0
+ Revision: 253572
- rebuild

* Tue Jan 22 2008 Götz Waschk <waschk@mandriva.org> 1.4.1-2mdv2008.1
+ Revision: 156465
- fix nautilus extensions dir
- spec cleanup

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed May 02 2007 Götz Waschk <waschk@mandriva.org> 1.4.1-1mdv2008.0
+ Revision: 20472
- new version


* Tue Aug 22 2006 Götz Waschk <waschk@mandriva.org> 1.4-1mdv2007.0
- New release 1.4

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 1.2-.0
- Rebuild with latest dbus

* Mon Jul 31 2006 Götz Waschk <waschk@mandriva.org> 1.2-1mdv2007.0
- Rebuild

* Mon May 01 2006 Gtz Waschk <waschk@mandriva.org> 1.2-1mdk
- handle new icons
- New release 1.2

* Wed Feb 08 2006 Gtz Waschk <waschk@mandriva.org> 1.0-1mdk
- drop gconf schema
- New release 1.0

* Wed Dec 07 2005 Gtz Waschk <waschk@mandriva.org> 0.99-2mdk
- fix buildrequires

* Fri Nov 25 2005 Gtz Waschk <waschk@mandriva.org> 0.99-1mdk
- install gconf schema
- update file list
- New release 0.99

* Tue Sep 27 2005 Gtz Waschk <waschk@mandriva.org> 0.7.1-1mdk
- update file list
- New release 0.7.1

* Tue Sep 13 2005 Gtz Waschk <waschk@mandriva.org> 0.7-1mdk
- fix source url
- new version

* Thu Sep 08 2005 Gtz Waschk <waschk@mandriva.org> 0.6-2mdk
- fix buildrequires

* Wed Sep 07 2005 Gtz Waschk <waschk@mandriva.org> 0.6-1mdk
- mkrel
- new version

* Wed Sep 07 2005 Gtz Waschk <waschk@mandriva.org> 0.5-1mdk
- initial package

